## nqp 2013.12.1

=== 3rdparty/dyncall/CMakeLists.txt ===
# Package: dyncall
# File: CMakeLists.txt
# Description: DynCall Project cmake files
# License:
#
# Copyright (c) 2010 Daniel Adler <dadler@uni-goettingen.de>
# 
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

cmake_minimum_required (VERSION 2.6)
project(DynCall)

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "dyncall enables dynamic invocation of machine-level function calls")
set(CPACK_PACKAGE_VENDOR "dyncall project")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/Description.txt")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/License.txt")
if(APPLE)
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/Description.txt")
endif(APPLE)
set(CPACK_PACKAGE_NAME "dyncall")
include(CPack)

# add cmake modules shipped with the package to cmake's module path.
# currently we have no use for this, but maybe later..
#set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/buildsys/cmake/Modules" "${CMAKE_MODULE_PATH}")


if(MSVC)
  enable_language(ASM_MASM)
  #if(CMAKE_SIZEOF_VOID_P MATCHES 8)
  #  set(CMAKE_ASM_COMPILER "ml64")
  #else()
  #  set(CMAKE_ASM_COMPILER "ml")
  #endif()
  #set(CMAKE_ASM_COMPILER_ARG1 "/c")
  #set(CMAKE_ASM_MASM_SOURCE_FILE_EXTENSIONS asm)
  #set(CMAKE_ASM_MASM_COMPILE_OBJECT "<CMAKE_ASM_MASM_COMPILER> <FLAGS> /c /Fo <OBJECT> <SOURCE>")
elseif(CMAKE_COMPILER_IS_GNUCC)
  # when used in shared libraries, -fPIC is required by several architectures
  # and platforms (observed on AMD64, Solaris/Sparc).
  # we enable it per default here.
  add_definitions("-fPIC")
  # enable gcc as front-end to assembler for .S files
  set(CMAKE_ASM_COMPILER "${CMAKE_C_COMPILER}")
  set(CMAKE_ASM_COMPILER_ARG1 "${CPPFLAGS} -c")
  enable_language(ASM)
elseif("${CMAKE_C_COMPILER_ID}" STREQUAL "SunPro")
  set(CMAKE_ASM_COMPILER "${CMAKE_C_COMPILER}")
  set(CMAKE_ASM_COMPILER_ARG1 "${CPPFLAGS} -c")
  enable_language(ASM)
endif()


add_subdirectory(dynload)
add_subdirectory(dyncall)
add_subdirectory(dyncallback)
add_subdirectory(doc EXCLUDE_FROM_ALL)
add_subdirectory(test EXCLUDE_FROM_ALL)

# install cmake Find scripts (disabled per default)

option(INSTALL_CMAKE_MODULES "install cmake modules to locate dyncall" "NO")

if(INSTALL_CMAKE_MODULES)
file(GLOB INSTALL_CMAKE_MODULES_FILES buildsys/cmake/Modules/Find*.cmake)
install(FILES ${INSTALL_CMAKE_MODULES_FILES} DESTINATION ${CMAKE_ROOT}/Modules)
endif(INSTALL_CMAKE_MODULES)

=== 3rdparty/dyncall/dyncall/CMakeLists.txt ===
# Package: dyncall
# File: dyncall/CMakeLists.txt
# Description: DynCall library cmake files
# License:
#
# Copyright (c) 2010 Daniel Adler <dadler@uni-goettingen.de>
# 
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

if(MSVC)
  if(CMAKE_SIZEOF_VOID_P MATCHES 4)
    set(ASM_SRC dyncall_call_x86_generic_masm.asm)	
  else()
    set(ASM_SRC dyncall_call_x64_generic_masm.asm)
  endif()
else()
  set(ASM_SRC dyncall_call.S)
endif()

add_library(dyncall_s STATIC ${ASM_SRC} 
  dyncall_vector.c 
  dyncall_struct.c 
  dyncall_api.c 
  dyncall_callvm.c 
  dyncall_callvm_base.c
  dyncall_callf.c
)

install(TARGETS dyncall_s ARCHIVE DESTINATION lib )

install(FILES 
  dyncall_macros.h 
  dyncall_config.h 
  dyncall_types.h 
  dyncall.h
  dyncall_signature.h
  dyncall_value.h
  dyncall_callf.h
  DESTINATION include
)

=== 3rdparty/dyncall/dyncallback/CMakeLists.txt ===
# Package: dyncall
# File: dyncallback/CMakeLists.txt
# Description: DynCallback library cmake files
# License:
#
# Copyright (c) 2010 Daniel Adler <dadler@uni-goettingen.de>
# 
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

include_directories(${PROJECT_SOURCE_DIR}/dyncall)

if(MSVC)
  if(CMAKE_SIZEOF_VOID_P MATCHES 4)
    set(ASM_SRC dyncall_callback_x86_masm.asm)	
  else()
    set(ASM_SRC dyncall_callback_x64_masm.asm)
  endif()
else()
  set(ASM_SRC dyncall_callback_arch.S)
endif()

add_library(dyncallback_s STATIC ${ASM_SRC}
  dyncall_thunk.c
  dyncall_alloc_wx.c
  dyncall_args.c
  dyncall_callback.c
)

install(TARGETS dyncallback_s ARCHIVE DESTINATION lib )

install(FILES
  dyncall_thunk.h
  dyncall_thunk_x86.h
  dyncall_thunk_ppc32.h
  dyncall_thunk_x64.h
  dyncall_thunk_arm32_arm.h
  dyncall_thunk_arm32_thumb.h
  dyncall_alloc_wx.h
  dyncall_args.h
  dyncall_callback.h
  DESTINATION include
)

## nqp 0.1~2012.01

=== debian/changelog ===
nqp (0.1~2012.01-5) unstable; urgency=low

  * Add 05_fix-ftbfs-sparc.patch to fix a FTBFS on sparc

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 24 Apr 2012 08:57:14 +0200

nqp (0.1~2012.01-4) unstable; urgency=low

  * Manually depend on parrotapi-X.Y.Z
  * Use dpkg-architecture to guess build os and arch
    - Drop 04_fix-dyncall-armel-arch.patch
    - Add 04_use-dpkg-arch-in-dyncall-conf.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 23 Apr 2012 20:28:30 +0200

nqp (0.1~2012.01-3) unstable; urgency=low

  * Add 04_fix-dyncall-armel-arch.patch (fix FTBFS on armel)
  * Explicitly set --with-parrot on configure (should fix FTBFS on mips)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 19 Apr 2012 17:57:00 +0200

nqp (0.1~2012.01-2) unstable; urgency=low

  * Add disable-bigint-roundtrip-tests.patch to fix a FTBS on 32bit
    architectures (Closes: #668692)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 19 Apr 2012 11:21:16 +0200

nqp (0.1~2012.01-1) unstable; urgency=low

  * Initial release (Closes: #643469)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 10 Apr 2012 17:14:20 +0200

=== debian/control ===
Source: nqp
Section: interpreters
Priority: optional
Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>,
 Dominique Dumont <dod@debian.org>
Build-Depends: debhelper (>= 9), perl,
 parrot-devel (>= 4.0.0),
 libicu-dev,
 libreadline-dev
Standards-Version: 3.9.3
Homepage: https://github.com/perl6/nqp
Vcs-Git: git://git.debian.org/pkg-rakudo/nqp.git
Vcs-Browser: http://git.debian.org/?p=pkg-rakudo/nqp.git;a=summary

Package: nqp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 parrot (>= 4.0.0),
 parrot-devel (>= 4.0.0),
 parrotapi-4.0.0
Description: Not Quite Perl compiler
 "Not Quite Perl" is a compiler for quickly generating PIR routines from
 Perl6-like code. The key feature of NQP is that it's designed to be a very
 small compiler (as compared with, say, perl6 or Rakudo) and is focused on being
 a high-level way to create compilers and libraries for virtual machines (such
 as the Parrot Virtual Machine).
 .
 Unlike a full-fledged implementation of Perl 6, NQP strives to have as small a
 runtime footprint as it can, while still providing a Perl 6 object model and
 regular expression engine for the virtual machine.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	perl Configure.pl --with-parrot=/usr/bin/parrot

override_dh_auto_build:
	dh_auto_build
	pod2man --name=nqp debian/running.pod debian/nqp.1

## nqp 0.1~2012.04.1

=== debian/changelog ===
nqp (0.1~2012.04.1-3) unstable; urgency=low

  * Add 07_fix-serialization-on-big-endian.patch to fix FTBFS
    on big endian platforms

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 12 Jun 2012 10:34:27 +0200

nqp (0.1~2012.04.1-2) unstable; urgency=low

  * Fix typo in 04_use-dpkg-arch-in-dyncall-conf.patch to fix FTBFS
    on kfreebsd-*
  * Add 06_disable-bigint-div-test.patch to fix FTBFS on arm* and i386

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 10 Jun 2012 13:01:50 +0200

nqp (0.1~2012.04.1-1) unstable; urgency=low

  * New upstream release
  * Bump required parrot version
  * Refresh patches
  * Bump upstream copyright years for dyncall
  * Use dh_parrot debhelper plugin

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 08 Jun 2012 14:57:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Dominique Dumont <dod@debian.org>
 Build-Depends: debhelper (>= 9), perl,
- parrot-devel (>= 4.0.0),
+ parrot-devel (>= 4.3.0),
  libicu-dev,
  libreadline-dev
 Standards-Version: 3.9.3
@@ -15,10 +15,8 @@
 
 Package: nqp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- parrot (>= 4.0.0),
- parrot-devel (>= 4.0.0),
- parrotapi-4.0.0
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${parrot:Depends},
+ parrot-devel (>= 4.3.0)
 Description: Not Quite Perl compiler
  "Not Quite Perl" is a compiler for quickly generating PIR routines from
  Perl6-like code. The key feature of NQP is that it's designed to be a very

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d+)[-\.](\d+)/0.1~$1.$2/" \
http://githubredir.debian.net/github/perl6/nqp .*/([0-9\-\.]*).tar.gz

## nqp 2012.10

=== debian/changelog ===
nqp (2012.10-1ubuntu1) raring; urgency=low

  * Apply 07_fix-ftbfs-powerpc.patch from upstream to fix FTBFS on PowerPC.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 29 Nov 2012 04:57:18 +0000

nqp (2012.10-1) unstable; urgency=low

  * New upstream release
  * Drop 07_fix-serialization-on-big-endian.patch (applied upstream)
  * Bump required parrot version
  * Bump Standards-Version to 3.9.4 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 20 Oct 2012 18:40:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Dominique Dumont <dod@debian.org>
 Build-Depends: debhelper (>= 9), perl,
- parrot-devel (>= 4.3.0),
+ parrot-devel (>= 4.6.0),
  libicu-dev,
  libreadline-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/perl6/nqp
 Vcs-Git: git://git.debian.org/pkg-rakudo/nqp.git
 Vcs-Browser: http://git.debian.org/?p=pkg-rakudo/nqp.git;a=summary
@@ -16,7 +16,7 @@
 Package: nqp
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${parrot:Depends},
- parrot-devel (>= 4.3.0)
+ parrot-devel (>= 4.6.0)
 Description: Not Quite Perl compiler
  "Not Quite Perl" is a compiler for quickly generating PIR routines from
  Perl6-like code. The key feature of NQP is that it's designed to be a very

=== debian/watch ===
version=3
http://githubredir.debian.net/github/perl6/nqp .*/([0-9\-\.]*).tar.gz

## nqp 2013.03

=== debian/changelog ===
nqp (2013.03-1) unstable; urgency=low

  * New upstream release
  * Bump versioned (Build-)Depends on parrot
  * Bump upstream copyright years
  * Add 06_disable-bigint-tests.patch
  * Add 07_fix-ppc-ftbfs.patch (Closes: #693901)
    Thanks to Roland Stigge
  * Update and refresh patches

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 04 Apr 2013 13:04:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Dominique Dumont <dod@debian.org>
 Build-Depends: debhelper (>= 9), perl,
- parrot-devel (>= 4.6.0),
+ parrot-devel (>= 4.10.0),
  libicu-dev,
  libreadline-dev
 Standards-Version: 3.9.4
@@ -16,7 +16,7 @@
 Package: nqp
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${parrot:Depends},
- parrot-devel (>= 4.6.0)
+ parrot-devel (>= 4.10.0)
 Description: Not Quite Perl compiler
  "Not Quite Perl" is a compiler for quickly generating PIR routines from
  Perl6-like code. The key feature of NQP is that it's designed to be a very

## nqp 2013.12.1

=== debian/changelog ===
nqp (2013.12.1-1) unstable; urgency=medium

  * New upstream release
  * Add 08_disable-failing-qregex-test.patch to fix FTBFS (Closes: #731697)
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 22 Dec 2013 15:36:09 +0100

nqp (2013.11.1-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 24 Nov 2013 14:24:19 +0100

nqp (2013.10-1) unstable; urgency=low

  * New upstream release
  * Bump versioned (Build-)Depends on parrot
  * Update patches
  * Install new README.pod
  * Fix vcs-field-not-canonical
  * Do not install rubyish examples
  * Do not Depends on parrot-devel anymore
  * Add 07_disable-serialization-tests.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 01 Nov 2013 12:09:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,17 @@
 Uploaders: Alessandro Ghedini <ghedo@debian.org>,
  Dominique Dumont <dod@debian.org>
 Build-Depends: debhelper (>= 9), perl,
- parrot-devel (>= 4.10.0),
+ parrot-devel (>= 5.9.0),
  libicu-dev,
  libreadline-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-rakudo/nqp.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-rakudo/nqp.git
 Homepage: https://github.com/perl6/nqp
-Vcs-Git: git://git.debian.org/pkg-rakudo/nqp.git
-Vcs-Browser: http://git.debian.org/?p=pkg-rakudo/nqp.git;a=summary
 
 Package: nqp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${parrot:Depends},
- parrot-devel (>= 4.10.0)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${parrot:Depends}
 Description: Not Quite Perl compiler
  "Not Quite Perl" is a compiler for quickly generating PIR routines from
  Perl6-like code. The key feature of NQP is that it's designed to be a very

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with=parrot
 
 override_dh_auto_configure:
 	perl Configure.pl --with-parrot=/usr/bin/parrot

## nqp 2014.04

=== debian/changelog ===
nqp (2014.04-3) unstable; urgency=medium

  * added missing prototypes for mips and ppc
  * control: also build kfreebsd-*

 -- Dominique Dumont <dod@debian.org>  Mon, 14 Jul 2014 12:07:59 +0200

nqp (2014.04-2) unstable; urgency=medium

  * add missing prototypes in dyncall for several architectures
  * control: list the arch supported by nqp
  * added patch to support ppc64el arch (Closes: #754421) Thx Breno Leitao

 -- Dominique Dumont <dod@debian.org>  Sat, 12 Jul 2014 21:54:49 +0200

nqp (2014.04-1) unstable; urgency=medium

  * Imported Upstream version 2014.04
  * added patch to fix missing prototypes error
    (Closes: #747777, #749499)

 -- Dominique Dumont <dod@debian.org>  Tue, 08 Jul 2014 13:21:49 +0200

nqp (2014.03-1) unstable; urgency=medium

  [ Alessandro Ghedini ]
  * Remove myself from Uploaders

  [ Dominique Dumont ]
  * Imported Upstream version 2014.03
  * copyright: updated years
  * refreshed patch
  * control: added build-dep on libgmp-dev

 -- Dominique Dumont <dod@debian.org>  Wed, 09 Apr 2014 18:32:30 +0200

nqp (2014.01-1) unstable; urgency=medium

  * New upstream release
  * Drop 08_disable-failing-qregex-test.patch (fixed upstream)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 19 Feb 2014 16:50:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: nqp
+Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
+Uploaders: Dominique Dumont <dod@debian.org>
 Section: interpreters
 Priority: optional
-Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
-Uploaders: Alessandro Ghedini <ghedo@debian.org>,
- Dominique Dumont <dod@debian.org>
-Build-Depends: debhelper (>= 9), perl,
- parrot-devel (>= 5.9.0),
- libicu-dev,
- libreadline-dev
+Build-Depends: debhelper (>= 9),
+               libgmp-dev,
+               libicu-dev,
+               libreadline-dev,
+               parrot-devel (>= 5.9.0),
+               perl
 Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-rakudo/nqp.git;a=summary
 Vcs-Git: git://anonscm.debian.org/pkg-rakudo/nqp.git
 Homepage: https://github.com/perl6/nqp
 
 Package: nqp
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${parrot:Depends}
+Architecture: i386 amd64 armel armhf mips mipsel powerpc ppc64el kfreebsd-amd64 kfreebsd-i386
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${parrot:Depends}
 Description: Not Quite Perl compiler
  "Not Quite Perl" is a compiler for quickly generating PIR routines from
  Perl6-like code. The key feature of NQP is that it's designed to be a very

## nqp 2014.07

=== debian/changelog ===
nqp (2014.07-3) unstable; urgency=medium

  * control: restrict arch to i386 amd64 and arm*

 -- Dominique Dumont <dod@debian.org>  Thu, 11 Sep 2014 20:27:36 +0200

nqp (2014.07-2) unstable; urgency=medium

  * force-dyncall-cflags patch:
    * also set -fPIC for kfreebsd...
    * use dpkg-buildflags for CFLAGS and LDFLAGS
  * removed fix-missing-prototype patch (not necessary since
    CFLAGS is now set for dyncall)

 -- Dominique Dumont <dod@debian.org>  Tue, 26 Aug 2014 19:31:50 +0200

nqp (2014.07-1) unstable; urgency=medium

  * new upstream version
  * control: updated vcs-browser url to use cgit
  * refreshed patch use-dpkg-arch-in-dyncall
  * removed ppc64 patch (configure completely changed)
  * refreshed fix-missing-prototype patch
  * added patch to force dyncall compilation to use CFLAGS
  * added patch to skip a test failure which fails in an unexpected way

 -- Dominique Dumont <dod@debian.org>  Sun, 24 Aug 2014 20:04:42 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                parrot-devel (>= 5.9.0),
                perl
 Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-rakudo/nqp.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rakudo/nqp.git
 Vcs-Git: git://anonscm.debian.org/pkg-rakudo/nqp.git
 Homepage: https://github.com/perl6/nqp
 
 Package: nqp
-Architecture: i386 amd64 armel armhf mips mipsel powerpc ppc64el kfreebsd-amd64 kfreebsd-i386
+Architecture: i386 amd64 armel armhf kfreebsd-amd64 kfreebsd-i386
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${parrot:Depends}

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	pod2man --name=nqp debian/running.pod debian/nqp.1
+	pod2man --name=nqp-p debian/running.pod debian/nqp-p.1

## nqp 2015.11

=== 3rdparty/dyncall/test/callback_plain/CMakeLists.txt ===
#
add_executable(callback_plain callback_plain.c)
target_link_libraries(callback_plain dyncallback_s)

=== 3rdparty/dyncall/test/nm/CMakeLists.txt ===
add_executable(nm nm.c)
target_link_libraries(nm dynload_s)

=== 3rdparty/dyncall/test/suite/CMakeLists.txt ===
add_executable(suite main.c case.c)
if(WIN32)
else()
list(APPEND AUX_LIBS m)
endif()
target_link_libraries(suite dyncall_s ${AUX_LIBS})

=== debian/changelog ===
nqp (2015.11-2) unstable; urgency=medium

  * control: restrict versions of moarvm dependency so that nqp
    depends on the same version of moarvm (ie. 2015.11*)

 -- Dominique Dumont <dod@debian.org>  Wed, 06 Jan 2016 20:47:36 +0100

nqp (2015.11-1) unstable; urgency=medium

  * Imported Upstream version 2015.11
  * Update patches
  * control: update dep on MoarVM 2015.11-1

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Sun, 29 Nov 2015 23:46:04 +0100

nqp (2015.09.1-2) unstable; urgency=medium

  * control: updated dep on moarvm 2015.09-3

 -- Dominique Dumont <dod@debian.org>  Wed, 07 Oct 2015 21:01:07 +0200

nqp (2015.09.1-1) unstable; urgency=medium

  [ Paul Cochrane ]
  * lintian issues fixed
  * Make debuild a bit happier with the changelog
  * Add patches:
    * to keep MANIFEST after realclean
    * to use VERSION file to determine nqp version
    * to use jquery.min.js from libjs-jquery package
  * Update manpage to use MoarVM instead of Parrot
  * Update debian/manpages to point to correct manpage
  * Remove nqp binary indendently of platform
  * control: Remove shlibs:Depends variable
  * control: Added libjs-jquery as build dependency

  [ Daniel Dehennin ]
  * NQP needs versioned MoarVM dependency
  * Add myself in Uploaders

  [ Dominique Dumont ]
  * Imported Upstream version 2015.09.1
  * control:
    * updated std-version
    * removed mention of Parrot from description
    * nqp is arch all
    * depends on libtommath-dev
    * do not depend on parrot
    * removed dep on libicu-dev ...
    * updated moar dependency on moarv 2015.09
    * depends on libjs-bootstrap and libjs-angularjs
  * rules:
    * specifies moar location
    * use --prefix=/usr...
    * symlink nqp-m man page to nqp
  * copyright:
    * refreshed with "cme update dpkg-copyright"
    * exclude *.jar files
    * exclude libtommath library to use Debian's
    * also exclude src/vm/js/old-*
    * copyright: remove libtommath entry (excluded path)
  * updated README.source
  * added patches to fix lintian issues

 -- Dominique Dumont <dod@debian.org>  Sat, 03 Oct 2015 19:10:51 +0200

=== debian/control ===
Source: nqp
Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
Uploaders: Dominique Dumont <dod@debian.org>,
           Daniel Dehennin <daniel.dehennin@baby-gnu.org>
Section: interpreters
Priority: optional
Build-Depends: debhelper (>= 9),
               libgmp-dev,
               libjs-jquery,
               libreadline-dev,
               libtommath-dev (>= 0.42.0-1.2),
               moarvm (>= 2015.11),
               moarvm (<< 2015.12~),
               perl
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rakudo/nqp.git
Vcs-Git: git://anonscm.debian.org/pkg-rakudo/nqp.git
Homepage: https://github.com/perl6/nqp

Package: nqp
Architecture: all
Depends: ${misc:Depends},
         libjs-angularjs,
         libjs-bootstrap,
         moarvm (>= 2015.11),
         moarvm (<< 2015.12~)
Description: Not Quite Perl compiler
 "Not Quite Perl" is a compiler for quickly generating PIR routines from
 Perl6-like code. The key feature of NQP is that it's designed to be a very
 small compiler (as compared with, say, perl6 or Rakudo) and is focused on being
 a high-level way to create compilers and libraries for virtual machines (such
 as the JVM, and MoarVM).
 .
 Unlike a full-fledged implementation of Perl 6, NQP strives to have as small a
 runtime footprint as it can, while still providing a Perl 6 object model and
 regular expression engine for the virtual machine.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	perl Configure.pl --backends=moar --prefix=/usr

override_dh_auto_build:
	dh_auto_build
	pod2man --name=nqp-m debian/running.pod debian/nqp-m.1
	ln -s nqp-m.1 debian/nqp.1

=== debian/watch ===
version=3

http://rakudo.org/downloads/nqp/nqp-([\d+\.]*).tar.gz

## nqp 2016.06+dfsg

=== debian/changelog ===
nqp (2016.06+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 2016.06+dfsg
  * control: updated moarvm-dev dep versions
  * excluded 3rdparty directory
  * removed copyright tweaks of excluded files
  * copyright: removed entries of excluded files

 -- Dominique Dumont <dod@debian.org>  Tue, 05 Jul 2016 13:09:58 +0200

nqp (2016.05-1) unstable; urgency=medium

  * Imported Upstream version 2016.05
  * control:
    * updated BD moarvm-dev version
    * Depends: replace moarvm dep with ${moarvm:Depends}
  * rules: compute moarvm:Depends variable for control

 -- Dominique Dumont <dod@debian.org>  Mon, 30 May 2016 13:42:30 +0200

nqp (2016.04-1) unstable; urgency=medium

  * Imported Upstream version 2016.04
  * control:
    * depends on moarvm >= 2016.04
    * removed strict dep constraint on moarvm
    * Standards-Version: '3.9.7' -> '3.9.8'

 -- Dominique Dumont <dod@debian.org>  Mon, 25 Apr 2016 12:58:03 +0200

nqp (2016.03-1) unstable; urgency=medium

  * Imported Upstream version 2016.03
  * copyright: removed old path from Files-Excluded
  * control: updated moar dependency versions

 -- Dominique Dumont <dod@debian.org>  Sat, 02 Apr 2016 11:54:00 +0200

nqp (2016.02-1) unstable; urgency=medium

  * Imported Upstream version 2016.02
  * control: updated moarvm dependencies (>=2016.02 and << 2016.03)
  * control: updated std-version to 3.9.7
  * updated copyright with cme

 -- Dominique Dumont <dod@debian.org>  Thu, 03 Mar 2016 12:29:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,19 @@
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm (>= 2015.11),
-               moarvm (<< 2015.12~),
+               moarvm-dev (>= 2016.06),
                perl
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rakudo/nqp.git
-Vcs-Git: git://anonscm.debian.org/pkg-rakudo/nqp.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-rakudo/nqp.git
 Homepage: https://github.com/perl6/nqp
 
 Package: nqp
 Architecture: all
 Depends: ${misc:Depends},
+         ${moarvm:Depends},
          libjs-angularjs,
-         libjs-bootstrap,
-         moarvm (>= 2015.11),
-         moarvm (<< 2015.12~)
+         libjs-bootstrap
 Description: Not Quite Perl compiler
  "Not Quite Perl" is a compiler for quickly generating PIR routines from
  Perl6-like code. The key feature of NQP is that it's designed to be a very

## nqp 2016.12+dfsg

=== debian/changelog ===
nqp (2016.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2016.12+dfsg
  * refreshed patches
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Mon, 19 Dec 2016 14:01:13 +0100

nqp (2016.11+dfsg-1) unstable; urgency=medium

  * New upstream version 2016.11+dfsg
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Mon, 28 Nov 2016 13:40:55 +0100

nqp (2016.10+dfsg-1) unstable; urgency=medium

  * New upstream version 2016.10+dfsg
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Sun, 30 Oct 2016 19:06:15 +0100

nqp (2016.09+dfsg-1) unstable; urgency=medium

  [ Daniel Dehennin ]
  * New upstream version 2016.09+dfsg
  * control: update moarvm-dev dep versions
  * Update patches
  * Remove deleted json.nqp from examples

  [ Dominique Dumont ]
  * cme files: skip files with bogus © info
  * copyright: refreshed with cme

 -- Dominique Dumont <dod@debian.org>  Tue, 27 Sep 2016 13:05:43 +0200

nqp (2016.07+dfsg-1) unstable; urgency=medium

  * Mangle debian version in debian/watch file
  * Add “+dfsg” to Debian package upstream version
  * Imported Upstream version 2016.07+dfsg
  * control: update moarvm-dev dep versions
  * copyright: updated with cme

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Sat, 23 Jul 2016 15:01:56 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm-dev (>= 2016.06),
+               moarvm-dev (>= 2016.12),
                perl
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rakudo/nqp.git

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg// , repacksuffix=+dfsg" \
http://rakudo.org/downloads/nqp/nqp-([\d+\.]*).tar.gz

## nqp 2017.06+dfsg

=== debian/changelog ===
nqp (2017.06+dfsg-1) unstable; urgency=medium

  * New upstream version 2017.06+dfsg
  * control: update moarvm-dev dep version
  * copyright: refreshed with cme
  * control: bump Standards-Version to 4.0.0

 -- Daniel Dehennin <daniel.dehennin@baby-gnu.org>  Sat, 24 Jun 2017 00:27:30 +0200

nqp (2017.05+dfsg-1) experimental; urgency=medium

  [ Daniel Dehennin ]
  * New upstream version 2017.05+dfsg
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Wed, 24 May 2017 16:22:40 +0200

nqp (2017.03+dfsg-2) experimental; urgency=medium

  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Thu, 06 Apr 2017 19:04:38 +0200

nqp (2017.03+dfsg-1) experimental; urgency=medium

  * New upstream version 2017.03+dfsg

 -- Dominique Dumont <dod@debian.org>  Fri, 31 Mar 2017 13:57:34 +0200

nqp (2017.02+dfsg-1) experimental; urgency=medium

  * New upstream version 2017.02+dfsg
  * refreshed patch
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Sun, 05 Mar 2017 18:49:52 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm-dev (>= 2016.12),
+               moarvm-dev (>= 2017.06),
                perl
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rakudo/nqp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-rakudo/nqp.git
 Homepage: https://github.com/perl6/nqp

## nqp 2018.01+dfsg

=== debian/changelog ===
nqp (2018.01+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.01+dfsg
  * copyright: exclude src/vm/js
  * refreshed copyright with cme
  * README.source: mention src/vm/js exclusion
  * control: update moarvm-dev dep versions
  * control: declare compliance with policy 4.1.3

 -- Dominique Dumont <dod@debian.org>  Tue, 06 Feb 2018 18:46:16 +0100

nqp (2017.10+dfsg-1) unstable; urgency=medium

  * New upstream version 2017.08+dfsg
  * control: update moarvm-dev dep versions
  * control: declare compliance with policy 4.1.1

 -- Dominique Dumont <dod@debian.org>  Wed, 01 Nov 2017 18:33:21 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm-dev (>= 2017.06),
+               moarvm-dev (>= 2018.01),
                perl
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rakudo/nqp.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-rakudo/nqp.git
 Homepage: https://github.com/perl6/nqp

## nqp 2018.02+dfsg

=== debian/changelog ===
nqp (2018.02+dfsg-1) unstable; urgency=medium

  * setup gpg check of upstream tarball
  * New upstream version 2018.02+dfsg (Closes: #891344)
  * control: update moarvm-dev dep versions
  * control: use the same arches as moarvm (this
    package is no longer arch any)
  * add patch to skip unreliable tests until they are
    fixed upstream
  * add tests/control file

 -- Dominique Dumont <dod@debian.org>  Thu, 22 Feb 2018 13:45:48 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm-dev (>= 2018.01),
+               moarvm-dev (>= 2018.02),
                perl
 Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rakudo/nqp.git
@@ -17,7 +17,7 @@
 Homepage: https://github.com/perl6/nqp
 
 Package: nqp
-Architecture: all
+Architecture: i386 amd64 arm64 armel armhf mips mipsel mips64el powerpc ppc64el ppc64 kfreebsd-amd64 kfreebsd-i386 s390x x32
 Depends: ${misc:Depends},
          ${moarvm:Depends},
          libjs-angularjs,

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg// , repacksuffix=+dfsg, pgpsigurlmangle=s/$/.asc/" \
https://rakudo.org/downloads/nqp/nqp-([\d+\.]*).tar.gz

## nqp 2018.03%2Bdfsg

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg// , repacksuffix=+dfsg, pgpsigurlmangle=s/$/.asc/" \
http://rakudo.org/downloads/nqp/nqp-([\d+\.]*).tar.gz

## nqp 2018.03+dfsg

=== debian/changelog ===
nqp (2018.03+dfsg-2) unstable; urgency=medium

  * Fix race condition in 03-semaphore.t

 -- Robert Lemmen <robertle@semistable.com>  Thu, 05 Apr 2018 20:33:47 +0200

nqp (2018.03+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.03+dfsg
  * watch: back to http: rakudo ssl cert is wrong
  * control: update moarvm-dev dep versions
  * control: update Vcs-Browser and Vcs-Git

 -- Dominique Dumont <dod@debian.org>  Tue, 03 Apr 2018 18:23:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nqp
 Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
 Uploaders: Dominique Dumont <dod@debian.org>,
-           Daniel Dehennin <daniel.dehennin@baby-gnu.org>
+           Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
+           Robert Lemmen <robertle@semistable.com>
 Section: interpreters
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -9,11 +10,11 @@
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm-dev (>= 2018.02),
+               moarvm-dev (>= 2018.03),
                perl
 Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-rakudo/nqp.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-rakudo/nqp.git
+Vcs-Browser: https://salsa.debian.org/perl6-team/nqp
+Vcs-Git: https://salsa.debian.org/perl6-team/nqp.git
 Homepage: https://github.com/perl6/nqp
 
 Package: nqp

=== debian/tests/control ===
Test-Command: prove  -e nqp t/[chmnpqs]*

## nqp 2018.06+dfsg

=== debian/changelog ===
nqp (2018.06+dfsg-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * work-around test that hang in autopkgtest (Closes: #900230)

  [ Robert Lemmen ]
  * New upstream version 2018.06+dfsg
  * control: update moarvm-dev dep versions

 -- Robert Lemmen <robertle@semistable.com>  Tue, 26 Jun 2018 20:51:17 +0200

nqp (2018.05+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.05+dfsg
  * control: update moarvm-dev dep versions

 -- Robert Lemmen <robertle@semistable.com>  Sat, 26 May 2018 13:38:18 +0200

nqp (2018.04.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.04.1+dfsg
  * control: update moarvm-dev dep versions

 -- Robert Lemmen <robertle@semistable.com>  Mon, 30 Apr 2018 08:57:54 +0200

nqp (2018.04+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.04+dfsg
  * update debian/watch to match new layout of rakudo.org site
  * control: update moarvm-dev dep versions
  * Bump Standards-Version
  * remove semaphore test patch now applied upstream

 -- Robert Lemmen <robertle@semistable.com>  Wed, 25 Apr 2018 19:32:09 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm-dev (>= 2018.03),
+               moarvm-dev (>= 2018.06),
                perl
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/perl6-team/nqp
 Vcs-Git: https://salsa.debian.org/perl6-team/nqp.git
 Homepage: https://github.com/perl6/nqp

## nqp 2018.09+dfsg

=== debian/changelog ===
nqp (2018.09+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.09+dfsg

 -- Robert Lemmen <robertle@semistable.com>  Mon, 24 Sep 2018 08:49:01 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm-dev (>= 2018.06),
+               moarvm-dev (>= 2018.09),
                perl
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/perl6-team/nqp

## nqp 2018.10+dfsg

=== debian/changelog ===
nqp (2018.10+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.10+dfsg
  * control: update moarvm-dev dep versions
  * fix debian/patches/skip-dubious-tests

 -- Robert Lemmen <robertle@semistable.com>  Thu, 15 Nov 2018 18:44:31 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm-dev (>= 2018.09),
+               moarvm-dev (>= 2018.10),
                perl
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/perl6-team/nqp

## nqp 2018.12+dfsg

=== debian/changelog ===
nqp (2018.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.12+dfsg
  * control: update moarvm-dev dep versions

 -- Robert Lemmen <robertle@semistable.com>  Sat, 22 Dec 2018 14:40:43 +0100

nqp (2018.11+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.11+dfsg
  * control: update moarvm-dev dep versions

 -- Robert Lemmen <robertle@semistable.com>  Sat, 01 Dec 2018 18:50:24 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm-dev (>= 2018.10),
+               moarvm-dev (>= 2018.12),
                perl
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/perl6-team/nqp

=== debian/rules ===
#!/usr/bin/make -f

# moar is often *not* backward compatible
MOARVM_VERSION = $(shell moar --version | perl -n -E 'm/([\d.]+)/; say $$1;')
MOARVM_NEXT = $(shell moar --version | perl -n -E 'my ($$y,$$m) = m/(2\d+)\.(\d+)/; if ($$m < 12) { $$m++} else {$$m=1;$$y++}; printf("%d.%02d\n",$$y,$$m);')

%:
	dh $@

override_dh_auto_configure:
	perl Configure.pl --backends=moar --prefix=/usr

override_dh_gencontrol:
	dh_gencontrol -- -Vmoarvm:Depends="moarvm (>= $(MOARVM_VERSION)), moarvm(<< $(MOARVM_NEXT))"

override_dh_auto_build:
	dh_auto_build
	pod2man --name=nqp-m debian/running.pod debian/nqp-m.1
	ln -s nqp-m.1 debian/nqp.1

override_dh_auto_install:
	dh_auto_install
	rm -r debian/nqp/usr/share/nqp/lib/profiler/

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg// , repacksuffix=+dfsg, pgpsigurlmangle=s/$/.asc/" \
https://rakudo.perl6.org/downloads/nqp/nqp-([\d+\.]*).tar.gz

## nqp 2019.03+dfsg

=== debian/changelog ===
nqp (2019.03+dfsg-1) experimental; urgency=medium

  * New upstream version 2019.03+dfsg
  * Point watch file to github.
  * Add myself to uploaders.
  * Bump moarvm requirement to (>= 2019.03).

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 12 Jul 2019 12:01:46 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Maintainer: Debian Rakudo Maintainers <pkg-rakudo-devel@lists.alioth.debian.org>
 Uploaders: Dominique Dumont <dod@debian.org>,
            Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
-           Robert Lemmen <robertle@semistable.com>
+           Robert Lemmen <robertle@semistable.com>,
+           Mo Zhou <cdluminate@gmail.com>,
 Section: interpreters
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -10,7 +11,7 @@
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm-dev (>= 2018.12),
+               moarvm-dev (>= 2019.03),
                perl
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/perl6-team/nqp

## nqp 2019.11+dfsg

=== debian/changelog ===
nqp (2019.11+dfsg-2) unstable; urgency=medium

  * Update my mail address.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Sat, 28 Dec 2019 15:18:59 +0800

nqp (2019.11+dfsg-1) experimental; urgency=medium

  * New upstream version 2019.11+dfsg
  * Bump embedded nqp-configure to 6245bf98.
  * Refresh patches.
  * Bump moarvm version requirement to (>= 2019.11~)
  * override dh_missing to list missing files.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 26 Dec 2019 14:06:50 +0800

nqp (2019.07.1+dfsg-2) unstable; urgency=medium

  * Apply wrap-and-sort.
  * Bump Standards-Version to 4.4.0 (no change).
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 19 Sep 2019 03:54:33 +0000

nqp (2019.07.1+dfsg-1) experimental; urgency=medium

  * New upstream version 2019.07.1+dfsg
  * Bump moarvm-dev requirement to >= 2019.07.
  * Rebase Ensure-MANIFEST-doesn-t-get-deleted-by-realclean.patch
  * Refresh patches.
  * Import nqp-configure (7411804).
  * Link the convenient copy of nqp-configure to 3rdparty.

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 22 Aug 2019 06:54:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Dominique Dumont <dod@debian.org>,
            Daniel Dehennin <daniel.dehennin@baby-gnu.org>,
            Robert Lemmen <robertle@semistable.com>,
-           Mo Zhou <cdluminate@gmail.com>,
+           Mo Zhou <lumin@debian.org>
 Section: interpreters
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -11,19 +11,16 @@
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm-dev (>= 2019.03),
+               moarvm-dev (>= 2019.11~),
                perl
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/perl6-team/nqp
 Vcs-Git: https://salsa.debian.org/perl6-team/nqp.git
 Homepage: https://github.com/perl6/nqp
 
 Package: nqp
-Architecture: i386 amd64 arm64 armel armhf mips mipsel mips64el powerpc ppc64el ppc64 kfreebsd-amd64 kfreebsd-i386 s390x x32
-Depends: ${misc:Depends},
-         ${moarvm:Depends},
-         libjs-angularjs,
-         libjs-bootstrap
+Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32
+Depends: libjs-angularjs, libjs-bootstrap, ${misc:Depends}, ${moarvm:Depends}
 Description: Not Quite Perl compiler
  "Not Quite Perl" is a compiler for quickly generating PIR routines from
  Perl6-like code. The key feature of NQP is that it's designed to be a very

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
+	mkdir -p 3rdparty; ln -sr debian/nqp-configure 3rdparty/nqp-configure
 	perl Configure.pl --backends=moar --prefix=/usr
 
 override_dh_gencontrol:
@@ -21,3 +22,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	rm -r debian/nqp/usr/share/nqp/lib/profiler/
+
+override_dh_missing:
+	dh_missing --list-missing

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg// , repacksuffix=+dfsg, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%nqp-$1.tar.gz%"  \
https://github.com/perl6/nqp/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## nqp 2020.06+dfsg

=== debian/changelog ===
nqp (2020.06+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.06+dfsg
  * control: update moarvm-dev dep versions

 -- Dominique Dumont <dod@debian.org>  Sat, 27 Jun 2020 14:55:02 +0200

nqp (2020.05+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.05+dfsg
  * control: update moarvm-dev dep versions
  * rm fix-nqp-build.patch (applied upstream)

 -- Dominique Dumont <dod@debian.org>  Sun, 10 May 2020 15:13:35 +0200

nqp (2020.02.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2020.01+dfsg
  * control:
    * update moarvm-dev dep versions
    * declare compliance with policy 4.5.0
    * add ${shlibs:Depends}
  * use new debhelper-compat dependency
  * remove obsolete overrides from fill.copyright.blanks.yml
  * refreshed debian/copyright with cme
  * use 3rdparty/nqp-configure released in upstream tarball:
    * watch: use "release" tarballs from github
    * copyright: allow import of 3rdparty/nqp-configure
    * remove convenience copy of nqp-configure
  * add nqp.lintian-overrides
  * watch: change perl6 to Raku on github url
  * watch: verify tarball signature after download
  * replace samcv key with Alexander Kiryuhin's
  * add patch to fix nqp build (from upstream)

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Apr 2020 17:29:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,21 +6,25 @@
            Mo Zhou <lumin@debian.org>
 Section: interpreters
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                libgmp-dev,
                libjs-jquery,
                libreadline-dev,
                libtommath-dev (>= 0.42.0-1.2),
-               moarvm-dev (>= 2019.11~),
+               moarvm-dev (>= 2020.06),
                perl
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/perl6-team/nqp
 Vcs-Git: https://salsa.debian.org/perl6-team/nqp.git
 Homepage: https://github.com/perl6/nqp
 
 Package: nqp
 Architecture: amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x x32
-Depends: libjs-angularjs, libjs-bootstrap, ${misc:Depends}, ${moarvm:Depends}
+Depends: libjs-angularjs,
+         libjs-bootstrap,
+         ${misc:Depends},
+         ${moarvm:Depends},
+         ${shlibs:Depends}
 Description: Not Quite Perl compiler
  "Not Quite Perl" is a compiler for quickly generating PIR routines from
  Perl6-like code. The key feature of NQP is that it's designed to be a very

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,6 @@
 	dh $@
 
 override_dh_auto_configure:
-	mkdir -p 3rdparty; ln -sr debian/nqp-configure 3rdparty/nqp-configure
 	perl Configure.pl --backends=moar --prefix=/usr
 
 override_dh_gencontrol:
